> ## Documentation Index
> Fetch the complete documentation index at: https://docs.baselayer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Docket Search Status

> Fetches the state of the docket search request with the given UUID.



## OpenAPI

````yaml /api-reference/openapi.json get /docket_searches/{search_request_id}/status
openapi: 3.1.0
info:
  title: baselayer-api-service
  version: 0.1.0
servers:
  - url: https://api.baselayer.com/
security: []
paths:
  /docket_searches/{search_request_id}/status:
    get:
      tags:
        - Litigation & Bankruptcy
      summary: Get Docket Search Status
      description: Fetches the state of the docket search request with the given UUID.
      operationId: get_docket_search_status_docket_searches__search_request_id__status_get
      parameters:
        - name: search_request_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: >-
              The ID of the litigation/bankruptcy search request to fetch the
              state for.
            description: >-
              The unique identifier of the litigation/bankruptcy search request
              to fetch the state for.
            examples:
              - bf1ee476-66db-4439-b4fa-53807a742d28
          description: >-
            The unique identifier of the litigation/bankruptcy search request to
            fetch the state for.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1.DocketSearchState'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    v1.DocketSearchState:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: The identifier of this docket search request.
        business_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Business Id
          description: The identifier of the business the search was performed for.
        person_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Person Id
          description: The identifier of the person the search was performed for.
        business_search_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Business Search Id
          description: >-
            The identifier of the business search the docket search was
            performed for
        state:
          $ref: '#/components/schemas/TaskState'
          description: The current state of the docket search request.
      type: object
      required:
        - id
        - state
      title: DocketSearchState (v1)
      description: Represents a docket search state.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TaskState:
      enum:
        - PENDING
        - EXECUTING
        - COMPLETED
        - FAILED
        - CANCELLED
      title: TaskState
      type: string
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````